Package: org.codehaus.groovy.runtime.callsite

## [Java] Class GroovySunClassLoader

- org.codehaus.groovy.runtime.callsite.GroovySunClassLoader

-     public class GroovySunClassLoader
      extends SunClassLoader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static SunClassLoader` | `sunVM` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SunClassLoader` | `knownClasses, sunVM`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected GroovySunClassLoader()`
    `protected GroovySunClassLoader(int parsingOptions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SunClassLoader` | `define, doesKnow, loadClass, loadFromRes, resName`

- - ### Field Detail

    - #### public static final SunClassLoader sunVM

  - ### Constructor Detail

    - #### protected GroovySunClassLoader()

    - #### protected GroovySunClassLoader(int parsingOptions)

  - ### Method Detail

    - #### @Override
      public void visit(int version, int access, String name, String signature, String superName, String[] interfaces)